
QGIS Application - Feature request #2659

Saving multilayer vector datasets as several shapefiles

2010-04-16 01:27 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 12719

Description

One can load multilayer data in QGIS (for example Mapinfo TABs), but Save as vector saves only polygons.

It should probably check for how many layers is there and save them all with _line, _polygon etc suffixes.

Dataset to play with: http://www.directionsmag.com/files/index.php/download/462

History

#1 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-14 05:47 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Hello, bug triage...

as far as QGIS 2.13, when you open a multilayer file, QGIS loads one layer for each geometry type (Point/Line/Polygon). So if you want to save them, you

have no other choice than saving each layer one by one.

Is that what you meant by multilayer file (a file with multiple geometry types) ? If it is the case I think we can close this feature request

#5 - 2015-12-17 01:28 AM - Médéric RIBREUX

- Resolution set to wontfix

- Status changed from Feedback to Closed

Hello, bug triage...

I am closing this feature request because there is no feedback after one month and because QGIS doesn't manage multilayers files as a unique layer with

multiple geometric types anymore.

Feel free to re-open it with a better explanation of the new feature...
